package com.philisense.rdgo.ui;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;

import com.philisense.rdgo.R;
import com.philisense.rdgo.http.cache.ACache;
import com.philisense.rdgo.ui.user.LoginActivity;
import com.philisense.rdgo.util.Constant;

public class LunachActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_lunach);
        String accessToken = ACache.get(this).getAsString(Constant.ACCESSTOKEN);
        if (accessToken!=null && !accessToken.isEmpty()) {
            // 如果 accessToken 存在，则进入首页
            MainActivity.start(this);
            finish();
        }else {
            // 如果不存在，则进入
            LoginActivity.start(this);
            finish();
        }
    }
}
